Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange.mapi
Interface IMapiSession

All Superinterfaces:
  IExchangeSession, IGroupwareSession, ISession, java.io.Serializable

public interface IMapiSession
extends IExchangeSession

Provides access to the MAPI provider. This interface contains the information required to open a MAPI session. Information about a user, including home server and mailbox can be looked up from the gal, if the server name is missing and all the `PROP_GAL_` properties are specified.

In addition to the properties required as described in `IExchangeSession`, the following properties can be set:

Property | Required | Additional Information
`PROP_MAPI_SERVICE_URL` | No | The URL to the service computer. When this property is set, the login process may use the `PROP_PROXY_` configuration values if they are supplied.
`PROP_LOGON_TYPE` | No | What kind of logon should be used. The following values can be set: `LOGON_TYPE_DEFAULT` - default logon type is interactive. `LOGON_TYPE_INTERACTIVE` - requires "Log on locally" rights. `LOGON_TYPE_NETWORK` - does not require special privileges, but MUST be used on the same Exchange server being accessed. `LOGON_TYPE_BATCH` - requires "Log on as a batch job" rights. `LOGON_TYPE_NONE` - do not logon.
`PROP_SESSION_TIMEOUT` | No | The session timeout, in seconds. If not specified, the default is 1800, or one half hour.
`PROP_GAL_DOMAIN` | See Info | The GAL user domain. This property is required if `IExchangeSession.PROP_EXCHANGE_SERVER` is not specified.
`PROP_GAL_SERVER` | See Info | The GAL exchange server. This property is required if `IExchangeSession.PROP_EXCHANGE_SERVER` is not specified.
`PROP_GAL_USERNAME` | See Info | The GAL username. This property is required if `IExchangeSession.PROP_EXCHANGE_SERVER` is not specified.
`PROP_GAL_PASSWORD` | See Info | The GAL user password. This property is required if `IExchangeSession.PROP_EXCHANGE_SERVER` is not specified.

This code shows how to open a session in the MAPI provider.

Sample code:

    /**
     * Demonstrates opening a session.  Imports required for this to work are:
     * java.util.Properties
     * com.compoze.collab.*
     * com.compoze.collab.exchange.mapi.IMapiSession
     *
     * @return	the session to access exchange
     * @throws	CollaborationException if there was an error opening the session
     */
    public	ISession    openSession
    (
    )
    throws	CollaborationException
        {
        Properties p = new Properties ();
        p.setProperty (ISession.PROP_PROVIDER, IMapiSession.INTERNAL_NAME);
        p.setProperty (IMapiSession.PROP_USER_DOMAIN, "domain");
        p.setProperty (IMapiSession.PROP_USER_USERNAME, "username");
        p.setProperty (IMapiSession.PROP_USER_PASSWORD, "password");
        p.setProperty (IMapiSession.PROP_EXCHANGE_SERVER, "server");
        p.setProperty (IMapiSession.PROP_EXCHANGE_MAILBOX, "mailbox");

        // the following is optional:
        // p.setProperty (IMapiSession.PROP_MAPI_SERVICE_URL,
        //	http://localhost:8448/exchange_service/ex.exchange");

        return SessionFactory.createSession (p);
        }

Field Summary
`static java.lang.String` | `INTERNAL_NAME` This constant may be used to open a session as the value for the `ISession.PROP_PROVIDER` property.
`static java.lang.String` | `LOGON_TYPE_BATCH` This value is used in conjunction with `PROP_LOGON_TYPE`.
`static java.lang.String` | `LOGON_TYPE_DEFAULT` This value is used in conjunction with `PROP_LOGON_TYPE`.
`static java.lang.String` | `LOGON_TYPE_INTERACTIVE` This value is used in conjunction with `PROP_LOGON_TYPE`.
`static java.lang.String` | `LOGON_TYPE_NETWORK` This value is used in conjunction with `PROP_LOGON_TYPE`.
`static java.lang.String` | `LOGON_TYPE_NONE` This value is used in conjunction with `PROP_LOGON_TYPE`.
`static java.lang.String` | `LOGON_TYPE_SERVICE` This value is used in conjunction with `PROP_LOGON_TYPE`.
`static java.lang.String` | `PROP_GAL_DOMAIN` This property is used to specify the GAL domain.
`static java.lang.String` | `PROP_GAL_PASSWORD` This property is used to specify the GAL password.
`static java.lang.String` | `PROP_GAL_SERVER` This property is used to specify the GAL server.
`static java.lang.String` | `PROP_GAL_USERNAME` This property is used to specify the GAL username.
`static java.lang.String` | `PROP_LOGON_TYPE` This property is used to indicate the logon method for the service
`static java.lang.String` | `PROP_MAPI_SERVICE_URL` This property is used to indicate the MAPI session is opened on a remote servlet engine.
`static java.lang.String` | `PROP_SESSION_TIMEOUT` This property is used to indicate the timeout of the session, in seconds (default=1800).

Fields inherited from interface com.compoze.collab.exchange.IExchangeSession
`PROP_EXCHANGE_MAILBOX, PROP_EXCHANGE_SERVER, PROP_PROXY_HOST, PROP_PROXY_PASSWORD, PROP_PROXY_PORT, PROP_PROXY_PROTOCOL, PROP_PROXY_USER, PROP_USER_DOMAIN, PROP_USER_PASSWORD, PROP_USER_USERNAME`

Fields inherited from interface com.compoze.collab.ISession
`PROP_ADMIN_LOCALE, PROP_AUTO_FETCH, PROP_CACHE_DEPENDENCY_CHECK_MILLIS, PROP_CACHE_ENABLED, PROP_CACHE_QUERY_MAX, PROP_CACHE_UPDATE_MILLIS, PROP_CACHE_USE_SOFT_REFERENCES, PROP_LOCALE, PROP_LOG_LEVEL, PROP_PROGRAMMER_LOCALE, PROP_PROVIDER, PROP_SCHEMA, PROPVALUE_REMOVE, STATE_AUTHENTICATED, STATE_INITIALIZED, STATE_OPEN, STATE_UNINITIALIZED`

Methods inherited from interface com.compoze.collab.exchange.IExchangeSession
`getAddressEntry, getAddressEntry, getAuthorizationValue, getDefaultContainer, publishFreeBusy, setAuthorizationValue`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareSession
`getCalendar, getDefaultContainer, getDefaultContainer, getRootContainer, getRootContainer, getTimeZone, getTimeZone, setTimeZone`

Methods inherited from interface com.compoze.collab.ISession
`addLogListener, close, endProfile, endTimer, endTimer, getAdminLocale, getAttribute, getDefaultRootContainer, getDefaultRootContainer, getLocale, getLogLevel, getOption, getOptions, getProgrammerLocale, getProperty, getProvider, getState, invalidateCache, isCapabilitySupported, log, login, login, logout, open, open, removeAttribute, setAdminLocale, setAttribute, setLocale, setLogLevel, setOption, setOptions, setProgrammerLocale, startProfile, startProfile, startTimer, startTimer`

Field Detail

### INTERNAL_NAME

    public static final java.lang.String INTERNAL_NAME

  This constant may be used to open a session as the value for the `ISession.PROP_PROVIDER` property.

### PROP_MAPI_SERVICE_URL

    public static final java.lang.String PROP_MAPI_SERVICE_URL

  This property is used to indicate the MAPI session is opened on a remote servlet engine.

### PROP_SESSION_TIMEOUT

    public static final java.lang.String PROP_SESSION_TIMEOUT

  This property is used to indicate the timeout of the session, in seconds (default=1800).

### PROP_LOGON_TYPE

    public static final java.lang.String PROP_LOGON_TYPE

  This property is used to indicate the logon method for the service

### LOGON_TYPE_DEFAULT

    public static final java.lang.String LOGON_TYPE_DEFAULT

  This value is used in conjunction with `PROP_LOGON_TYPE`.

### LOGON_TYPE_INTERACTIVE

    public static final java.lang.String LOGON_TYPE_INTERACTIVE

  This value is used in conjunction with `PROP_LOGON_TYPE`.

### LOGON_TYPE_BATCH

    public static final java.lang.String LOGON_TYPE_BATCH

  This value is used in conjunction with `PROP_LOGON_TYPE`.

### LOGON_TYPE_NETWORK

    public static final java.lang.String LOGON_TYPE_NETWORK

  This value is used in conjunction with `PROP_LOGON_TYPE`.

### LOGON_TYPE_NONE

    public static final java.lang.String LOGON_TYPE_NONE

  This value is used in conjunction with `PROP_LOGON_TYPE`.

### LOGON_TYPE_SERVICE

    public static final java.lang.String LOGON_TYPE_SERVICE

  This value is used in conjunction with `PROP_LOGON_TYPE`.

### PROP_GAL_DOMAIN

    public static final java.lang.String PROP_GAL_DOMAIN

  This property is used to specify the GAL domain.

### PROP_GAL_SERVER

    public static final java.lang.String PROP_GAL_SERVER

  This property is used to specify the GAL server.

### PROP_GAL_USERNAME

    public static final java.lang.String PROP_GAL_USERNAME

  This property is used to specify the GAL username.

### PROP_GAL_PASSWORD

    public static final java.lang.String PROP_GAL_PASSWORD

  This property is used to specify the GAL password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.